%define name	jcifs
%define version	0.7.14
%define release	1jpp
%define section	free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Common Internet File System Client in 100% Java
License:	LGPL
Url:		http://%{name}.samba.org/
Source0:	http://users.erols.com/mballen/jcifs/jcifs-0.7.14.tgz
Group:		Development/Java
Buildarch:	noarch
Requires:	servlet
BuildRequires:	servlet
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage Project
Distribution:	JPackage

%description
The jCIFS SMB client library enables any Java application to remotely
access shared files and directories on SMB file servers(i.e. a Microsoft
Windows "share") in addition to domain, workgroup, and server
enumeration of NetBIOS over TCP/IP networks. It is an advanced
implementation of the CIFS protocol supporting Unicode, batching,
multiplexing of threaded callers, encrypted authentication,
transactions, the Remote Access Protocol (RAP), and much more. It is
licensed under LGPL which means commercial organizations can
legitimately use it with their proprietary code(you just can't sell or
give away a modified binary only version of the library itself without
reciprocation).

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Group:		Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n %{name}_%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
export CLASSPATH=\
%{_javadir}/servlet.jar
ant jar
ant javadoc
export JAVA_HOME=%{java_home}
export PATH=%{java_home}/bin:$PATH
export CLASSPATH=\
%{_javadir}/servlet.jar:\
$RPM_BUILD_DIR/%{name}_%{version}/%{name}-%{version}.jar
rm -f examples/{AuthListFiles,Break}.java 
(cd examples && javac *.java)

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/examples
cp -pr examples/*.class $RPM_BUILD_ROOT%{_datadir}/%{name}/examples

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc README.txt CHANGES.txt docs/*.{html,txt,gif}

%{_javadir}/*
%dir %{_datadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/examples

%changelog
* Tue Oct 07 2003 David Walluck <david@anti-microsoft.org> 0:0.7.14-1jpp
- 0.7.14
- fix no-epoch-in-dependency for jcifs-demo

* Tue Sep 09 2003 David Walluck <david@anti-microsoft.org> 0:0.7.12-1jpp
- 0.7.12

* Sat Apr 26 2003 David Walluck <david@anti-microsoft.org> 0:0.7.3-2jpp
- fix date in %%changelog

* Fri Apr 25 2003 David Walluck <david@anti-microsoft.org> 0:0.7.3-1jpp
- release
